package jetstream

import (
	"time"

	"github.com/nats-io/nats.go"
)

var (
	OutputRoomEvent         = "OutputRoomEvent"
	OutputSendToDeviceEvent = "OutputSendToDeviceEvent"
	OutputKeyChangeEvent    = "OutputKeyChangeEvent"
	OutputTypingEvent       = "OutputTypingEvent"
	OutputClientData        = "OutputClientData"
	OutputReceiptEvent      = "OutputReceiptEvent"
)

var streams = []*nats.StreamConfig{
	{
		Name: OutputRoomEvent,
		//Retention: nats.InterestPolicy,
		Storage: nats.FileStorage,
	},
	{
		Name: OutputSendToDeviceEvent,
		//Retention: nats.InterestPolicy,
		Storage: nats.FileStorage,
	},
	{
		Name:      OutputKeyChangeEvent,
		Retention: nats.LimitsPolicy,
		Storage:   nats.FileStorage,
	},
	{
		Name: OutputTypingEvent,
		//Retention: nats.InterestPolicy,
		Storage: nats.MemoryStorage,
		MaxAge:  time.Second * 60,
	},
	{
		Name: OutputClientData,
		//Retention: nats.InterestPolicy,
		Storage: nats.FileStorage,
	},
	{
		Name: OutputReceiptEvent,
		//Retention: nats.InterestPolicy,
		Storage: nats.FileStorage,
	},
}
